docusign.notary-jurisdiction.delete-notary-jurisdiction ​
Deletes the specified jurisdiction.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
jurisdictionid | string | Yes | — | The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
jurisdictionid | string | Yes | — | The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call DELETE /v2.1/current_user/notary/jurisdictions/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform DELETE /v2.1/current_user/notary/jurisdictions/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.notary-jurisdiction.delete-notary-jurisdiction",
"initial_data": {
"base_url": "value",
"jurisdictionid": "value"
}
}